﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Microsoft.WindowsAzure.ServiceRuntime;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace NetflixPivot_Web.Controllers
{
    public class HomeController : Controller
    {
        private string GetBlobOrCdnUrl(string path)
        {
            var blobUri = CloudStorageAccount.Parse(RoleEnvironment.GetConfigurationSettingValue("DataConnectionString").CreateCloudBlobClient().GetBlobReference(path).Uri.AbsoluteUri;
            var cdnHost = RoleEnvironment.GetConfigurationSettingValue("CdnHost");
            if (!string.IsNullOrEmpty(cdnHost))
            {
                return new UriBuilder(blobUri)
                {
                    Scheme = "http",
                    Port = 80,
                    Host = cdnHost
                }.Uri.AbsoluteUri;
            }
            else
            {
                return blobUri;
            }
        }

        public ActionResult Index()
        {
            ViewData["xapUrl"] = GetBlobOrCdnUrl("control/NetflixPivotViewer.xap");
            ViewData["collectionUrl"] = GetBlobOrCdnUrl("collection/collection.cxml");
            return View();
        }

        public ActionResult About()
        {
            return View();
        }
    }
}
